      function iargc()

c     Copyright 2012 Leon van Dommelen.  This software is made available
c     under the GNU Public License version 3.

c     get number of command line arguments using gfortran

      implicit none

c output

c     number of command line arguments
      integer iargc

c executable

      iargc=command_argument_count()

      return
      end
